@import './themes';

:host {
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
  align-items: center;
}

h1 {
  color: RGB(var(--primary-1));
  padding: 36px 0;
}

.milestones {
  display: flex;
  flex-direction: column;
  width: 800px;
  text-align: right;
  position: relative;
  color: RGB(var(--on-background-1));
  &::before {
    content: '';
    display: block;
    width: 6px;
    height: 100%;
    left: calc(50% - 3px);
    position: absolute;
    border-radius: 6px 6px 0 0;
    background-color: RGB(var(--primary-1));
  }

  milestone {
    width: calc(50% - 78px);
    position: relative;
    margin: 26px;
    padding: 0 52px 0 0;

    .title {
      font-size: 32px;
    }

    &::before {
      content: '';
      display: block;
      position: absolute;
      width: 18px;
      height: 18px;
      right: -15px;
      top: 11px;
      border-radius: 100%;
      background-color: RGB(var(--background));
      border: 6px solid RGB(var(--primary-1));
    }

    &.is-important {
      &::before {
        width: 36px;
        height: 36px;
        right: -24px;
        top: 3px;
      }
    }

    &:nth-child(even) {
      text-align: left;
      align-self: flex-end;
      padding: 0 0 0 52px;

      &::before {
        right: 0;
        left: -15px;
      }

      &.is-important {
        &::before {
          left: -24px;
        }
      }
    }
  }
}
